> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synkrony.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Exibir tarefa



## OpenAPI

````yaml /api-reference/v1/swagger.json get /api/v1/tasks/{id}
openapi: 3.1.0
info:
  title: API V1
  version: v1
servers:
  - url: https://app.synkrony.ai
security:
  - BearerAuth: []
paths:
  /api/v1/tasks/{id}:
    get:
      tags:
        - Tasks
      summary: Exibir tarefa
      parameters:
        - name: id
          in: path
          required: true
          description: ID da tarefa
          schema:
            type: string
        - name: with_time_logs
          in: query
          required: false
          description: Incluir os time logs da tarefa
          schema:
            type: boolean
      responses:
        '200':
          description: successful with time logs
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Task'
                    allOf:
                      - $ref: '#/components/schemas/Task'
                      - type: object
                        properties:
                          time_logs:
                            type: array
                            items:
                              $ref: '#/components/schemas/TimeLogApi'
                          total_logged_duration:
                            type: string
                            example: '02:00:00'
                        required:
                          - time_logs
                          - total_logged_duration
                required:
                  - data
        '401':
          description: unauthorized
        '404':
          description: not found
components:
  schemas:
    Task:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        description:
          type: string
        priority:
          type: string
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
        status_id:
          type: number
        sprint_id:
          type: number
          nullable: true
        position:
          type: number
        created_by_id:
          type: number
        total_time_seconds:
          type: number
        slug:
          type: string
        github_repo:
          type: string
          nullable: true
        pull_request_number:
          type: number
          nullable: true
        pull_request_url:
          type: string
          nullable: true
        pull_request_status:
          type: string
          nullable: true
        pull_request_is_draft:
          type: boolean
        base_branch:
          type: string
        claude_execution_mode:
          type: string
          enum:
            - z_ai
            - anthropic
        estimate:
          type: number
          nullable: true
        user_time_seconds:
          type: number
          nullable: true
        pull_request_created_at:
          type: string
          nullable: true
        task_execution_status:
          type: string
          nullable: true
        task_execution_error_info:
          type: object
          nullable: true
        task_execution_updated_at:
          type: string
          nullable: true
        task_execution_id:
          type: number
          nullable: true
        has_sentry_link:
          type: boolean
        sentry_issues:
          type: array
          items:
            type: object
          nullable: true
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        assignees:
          type: array
          items:
            $ref: '#/components/schemas/Assignee'
        checklist_items:
          type: array
          items:
            $ref: '#/components/schemas/ChecklistItem'
        custom_field_values:
          type: array
          items: 252ecb27-218a-48d1-bba0-cf11d4004a51
        project:
          $ref: '#/components/schemas/TaskProject'
          nullable: true
        project_module:
          $ref: '#/components/schemas/ProjectModule'
          nullable: true
        epic:
          $ref: '#/components/schemas/ProjectModule'
          nullable: true
      required:
        - id
        - name
        - description
        - created_at
        - updated_at
        - status_id
        - position
        - created_by_id
        - total_time_seconds
        - slug
        - pull_request_is_draft
        - base_branch
        - claude_execution_mode
        - has_sentry_link
        - has_sentry_link
        - tags
        - assignees
        - checklist_items
        - custom_field_values
        - tags
        - assignees
        - checklist_items
        - custom_field_values
        - project
        - project_module
        - epic
        - project
        - project_module
        - epic
    Tag:
      type: object
      properties:
        id:
          type: number
        color:
          type: string
        bgColor:
          type: string
        label:
          type: string
      required:
        - id
        - color
        - bgColor
        - label
        - bgColor
        - label
    Assignee:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        job_title:
          type: string
          nullable: true
        email:
          type: string
        cost_cents:
          type: number
          nullable: true
        capacity:
          type: number
          nullable: true
        removed_at:
          type: string
          nullable: true
        role:
          type: string
        agent_type:
          type: string
          nullable: true
        authentication_setup_completed:
          type: boolean
        sprint_goal_participation:
          type: boolean
        status:
          type: string
        profile_picture_url:
          type: string
          nullable: true
        short_name:
          type: string
        avatar_color_id:
          type: number
      required:
        - id
        - name
        - email
        - role
        - authentication_setup_completed
        - sprint_goal_participation
        - status
        - short_name
        - avatar_color_id
        - status
        - short_name
        - avatar_color_id
    ChecklistItem:
      type: object
      properties:
        id:
          type: string
        description:
          type: string
        completed:
          type: boolean
        position:
          type: integer
      required:
        - id
        - description
        - completed
        - position
    TaskProject:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        client_name:
          type: string
          nullable: true
        color:
          type: string
          nullable: true
        icon:
          type: string
          nullable: true
        repository_url:
          type: string
          nullable: true
      required:
        - id
        - name
    ProjectModule:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
          nullable: true
        project_id:
          type: number
        progress:
          type: number
          nullable: true
        order:
          type: number
          nullable: true
        description:
          type: string
          nullable: true
        start:
          type: string
          nullable: true
        end:
          type: string
          nullable: true
        dependencies:
          type: array
          items:
            type: string
          nullable: true
        custom_class:
          type: string
      required:
        - id
        - project_id
        - custom_class
        - custom_class
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'API token no formato Bearer. Exemplo: Bearer YOUR_API_TOKEN'

````